
renderingOptions:
  submitButtonLabel: Reserve
type: Form
identifier: k2022-Magnesia
label: 'K 2022 - Magnesia'
prototypeName: standard
finishers:
  -
    options:
      subject: 'K 2022 - Magnesia'
      senderAddress: noreply@lehvoss.de
      senderName: Magnesia
      format: html
      attachUploads: true
      recipients:
        '{text-3}': '{text-1} {text-2}'
      replyToRecipients:
        magnesia@lehvoss.de: ''
    identifier: EmailToSender
  -
    options:
      subject: 'K 2022 - Magnesia'
      senderAddress: '{text-3}'
      senderName: '{text-1} {text-2}'
      format: html
      attachUploads: true
      translation:
        language: default
      recipients:
        magnesia@lehvoss.de: Magnesia
      replyToRecipients:
        magnesia@lehvoss.de: ''
    identifier: EmailToReceiver
  -
    options:
      message: 'Thank you for your reservation. We are looking forward to welcome you at the K 2022.'
    identifier: Confirmation
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-1
    label: 'Meeting reservation / Terminreservierung'
    renderables:
      -
        type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-1
            label: 'First name / Vorname'
            properties:
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-2
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-2
            label: 'Last name / Nachname'
            properties:
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-3
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-3
            label: E-Mail
            properties:
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
              -
                identifier: EmailAddress
      -
        type: GridRow
        identifier: gridrow-4
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-4
            label: 'Company / Firma'
            properties:
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-5
        label: 'Grid: Row'
        renderables:
          -
            properties:
              options:
                19.10.: 19.10.
                20.20.: 20.10.
                21.10.: 21.10.
                22.10.: 22.10.
                23.10.: 23.10.
                24.10.: 24.10.
                25.10.: 25.10.
                26.10.: 26.10.
                '': ''
            type: SingleSelect
            identifier: singleselect-1
            label: 'Desired day (optional) / Gewünschter Tag (optional)'
            defaultValue: ''
      -
        type: GridRow
        identifier: gridrow-6
        label: 'Grid: Row'
        renderables:
          -
            type: LinkedCheckbox
            identifier: linkedcheckbox-1
            label: 'Linked checkbox'
            properties:
              elementDescription: ''
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
